package net.gametutorial.gameframework;

import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.view.MotionEvent;

/**
 * Actual game.
 * 
 * @author www.gametutorial.net
 */

public class Game {
	
	public static int screenWidth;
	public static int screenHeight;
	public static float screenDensity;
	
	private int gameTimeSec;

	
	public Game(int screenWidth, int screenHeight, Resources resources){
		Game.screenWidth = screenWidth;
		Game.screenHeight = screenHeight;
		Game.screenDensity = resources.getDisplayMetrics().density;
		
		this.LoadContent(resources);
		
		this.ResetGame();
	}
	

	/**
	 * Load files.
	 */
	private void LoadContent(Resources resources){

	}

	
	/**
	 * For (re)setting some game variables before game can start.
	 */
	private void ResetGame(){
		
	}
	
	
	/**
	 * Game update method.
	 * 
	 * @param gameTime Elapsed game time in milliseconds.
	 */
	public void Update(long gameTime) {
		this.gameTimeSec = (int)(gameTime / 1000);
	}
	
	
	/**
	 * Draw the game to the screen.
	 * 
	 * @param canvas Canvas on which we will draw.
	 */
	public void Draw(Canvas canvas) {
		// First we need to erase everything we draw before.
		canvas.drawColor(Color.BLACK);
		
		Paint paint = new Paint();
		paint.setColor(Color.WHITE); 
		paint.setTextSize(20); 
		
		canvas.drawText("Game is running: " + gameTimeSec + " sec", screenWidth/4, screenHeight/2, paint);
	}
	
	
    /**
     * When touch on screen is detected.
     * 
     * @param event MotionEvent
     */
    public void touchEvent_actionDown(MotionEvent event){
    	
    }
    
    /**
     * When moving on screen is detected.
     * 
     * @param event MotionEvent
     */
    public void touchEvent_actionMove(MotionEvent event){
    	
    }
    
    /**
     * When touch on screen is released.
     * 
     * @param event MotionEvent
     */
    public void touchEvent_actionUp(MotionEvent event){
    	
    }
    
}
